| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::Font::Metrics Struct Reference

Describes the modifications made to the intrinsic properties of a typeface. More...

`#include <font.h>`

## Public Member Functions
constexpr bool | operator== (const Metrics &o) const

## Public Attributes
Scalar | point_size = 12.0f
bool | embolden = false
Scalar | skewX = 0.0f
Scalar | scaleX = 1.0f

## Detailed Description

Describes the modifications made to the intrinsic properties of a typeface.

The coordinate system of a font has its origin at (0, 0) on the baseline with an upper-left-origin coordinate system.

Definition at line 44 of file font.h.

## Member Function Documentation

## ◆ operator==()

constexpr bool impeller::Font::Metrics::operator== | ( | const Metrics & | o | ) | const
| inlineconstexpr

Definition at line 53 of file font.h.

53 {
54 return point_size == o.point_size && embolden == o.embolden &&
55 skewX == o.skewX && scaleX == o.scaleX;
56 }

References embolden, point_size, scaleX, and skewX.

## Member Data Documentation

## ◆ embolden

bool impeller::Font::Metrics::embolden = false

Definition at line 49 of file font.h.

Referenced by operator==(), and impeller::ToFont().

## ◆ point_size

Scalar impeller::Font::Metrics::point_size = 12.0f

The point size of the font.

Definition at line 48 of file font.h.

Referenced by impeller::CanAppendToExistingAtlas(), impeller::TextFrame::CollectUniqueFontGlyphPairs(), impeller::ComputeGlyphSize(), impeller::MakeTextFrameSTB(), std::hash< impeller::Font::Metrics >::operator()(), operator==(), impeller::PairsFitInAtlasOfSize(), impeller::TextContents::Render(), and impeller::ToFont().

## ◆ scaleX

Scalar impeller::Font::Metrics::scaleX = 1.0f

Definition at line 51 of file font.h.

Referenced by std::hash< impeller::Font::Metrics >::operator()(), operator==(), and impeller::ToFont().

## ◆ skewX

Scalar impeller::Font::Metrics::skewX = 0.0f

Definition at line 50 of file font.h.

Referenced by std::hash< impeller::Font::Metrics >::operator()(), operator==(), and impeller::ToFont().

The documentation for this struct was generated from the following file:

- impeller/typographer/font.h

impeller::Font::Metrics::embolden
bool embolden
Definition: font.h:49
impeller::Font::Metrics::skewX
Scalar skewX
Definition: font.h:50
impeller::Font::Metrics::point_size
Scalar point_size
Definition: font.h:48
impeller::Font::Metrics::scaleX
Scalar scaleX
Definition: font.h:51